%global stackname rospack
%global gitrev 3ab7363

Name:           ros-%{rosrelease}-%{stackname}
Version:        2.1.15
Release:        1
Summary:        ROS package and stack tools

License:        BSD
URL:            http://www.ros.org/wiki/rospack
#wget --content-disposition https://github.com/ros-gbp/rospack-release/tarball/upstream/2.1.15
Source0:        ros-gbp-%{stackname}-release-upstream-%{version}-0-g%{gitrev}.tar.gz
Provides:       ros-%{stackname} = %{version}-%{release}

BuildRequires:  cmake
BuildRequires:  gtest
BuildRequires:  python-catkin

%description
rospack is a command-line tool for retrieving information about ROS packages 
available on the filesystem. It implements a wide variety of commands 
ranging from locating ROS packages in the filesystem, to listing available 
stacks, to calculating the dependency tree of stacks.

%package devel
Requires: %{name}%{?_isa} = %{version}-%{release}
Provides: ros-%{stackname}-devel = %{version}-%{release}
Summary:  Development files for %{name}

%description devel
Development headers and libraries for %{stackname}

%prep
%setup -q -n ros-gbp-%{stackname}-release-f4faee5


%build
mkdir build
pushd build
%cmake -DSETUPTOOLS_DEB_LAYOUT=OFF ..
popd

%install
rm -rf $RPM_BUILD_ROOT
make -C build install DESTDIR=$RPM_BUILD_ROOT
mv $RPM_BUILD_ROOT/usr/{lib,%{_lib}}

mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{stackname}
mv $RPM_BUILD_ROOT%{_usr}/.catkin $RPM_BUILD_ROOT%{_datadir}/%{stackname}/
mv $RPM_BUILD_ROOT%{_usr}/.rosinstall $RPM_BUILD_ROOT%{_datadir}/%{stackname}/
mv $RPM_BUILD_ROOT%{_usr}/_setup_util.py $RPM_BUILD_ROOT%{_datadir}/%{stackname}/
mv $RPM_BUILD_ROOT%{_usr}/env.sh $RPM_BUILD_ROOT%{_datadir}/%{stackname}/
mv $RPM_BUILD_ROOT%{_usr}/setup.* $RPM_BUILD_ROOT%{_datadir}/%{stackname}/


%files
%{_bindir}/rospack
%{_bindir}/rosstack
%{_datadir}/%{stackname}
%{_libdir}/*.so

%files devel
%{_includedir}/%{stackname}
%{_libdir}/pkgconfig/*.pc

%changelog
* Wed Jan 02 2013 Rich Mattes <richmattes@gmail.com> - 2.1.15-1
- Update to release 2.1.15 for groovy

* Tue Sep 04 2012 Rich Mattes <richmattes@gmail.com> - 2.0.13-1.gitdf20e64
- Initial release
